<ui:composition template="/WEB-INF/templates/layout.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:p="http://primefaces.org/ui">
	
	<ui:param name="title" value="#{projectDetailsBacking.name}" />
	
	<f:metadata>
		<f:viewParam name="projectName" value="#{projectDetailsBacking.name}" />
		<f:viewAction action="#{projectDetailsBacking.init}" />
	</f:metadata>
	
	<ui:define name="content">
		<div class="layout-wrapper">
			<div class="layout">
				<div class="content-header">
					<h1>Details of - #{projectDetailsBacking.project.name}</h1>
				</div>
				<div class="card details">
					<div class="content-body">
						<h4>Start date</h4>
						<h:outputText value="#{projectDetailsBacking.project.startDate}" />
						
						<h4>Due date</h4>
						<h:outputText value="#{projectDetailsBacking.project.dueDate}" />
						
						<h4>Description</h4>
						<h:outputText value="#{projectDetailsBacking.project.description}" />
						
						<h4>Team on the project</h4>
						<h:outputText value="#{projectDetailsBacking.project.team.name}" />
						
						<h4>Tasks in the project</h4>
						<ul>
							<ui:repeat var="task" value="#{projectDetailsBacking.tasks}">
								<li>#{task.name}</li>
							</ui:repeat>
						</ul>
					</div>
					<div class="btn-container">
						<p:linkButton outcome="project-update.xhtml" 
							value="Update" 
							styleClass="form-button">
							<f:param name="projectId" value="#{projectDetailsBacking.project.id}" />
						</p:linkButton>
						<p:commandButton id="deleteProject"  
							value="Delete" 
							action="#{projectDetailsBacking.delete()}" 
							styleClass="form-button btn-delete">
							<p:confirm header="Confirm deletion" message="Are you sure?" icon="fas fa-exclamation-circle" />
						</p:commandButton>
					</div>
					
					<p:confirmDialog global="true">
						<p:commandButton value="Confirm" styleClass="ui-confirmdialog-yes" icon="fas fa-check" />
						<p:commandButton value="Cancel" styleClass="ui-confirmdialog-no" icon="fas fa-times" />
					</p:confirmDialog>
						
				</div>
				</div>
			</div>
	</ui:define>

</ui:composition>